Package org.bukkit

# Enum Class FluidCollisionMode

java.lang.Object
java.lang.Enum<FluidCollisionMode>
org.bukkit.FluidCollisionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<FluidCollisionMode>`, `Constable`

public enum FluidCollisionMode extends Enum<FluidCollisionMode>
Determines the collision behavior when fluids get hit during ray tracing.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS`
Collide with all fluids.
`NEVER`
Ignore fluids.
`SOURCE_ONLY`
Only collide with source fluid blocks.

## Method Summary

Modifier and Type
Method
Description
`static FluidCollisionMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FluidCollisionMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEVER

public static final FluidCollisionMode NEVER
Ignore fluids.

### SOURCE_ONLY

public static final FluidCollisionMode SOURCE_ONLY
Only collide with source fluid blocks.

### ALWAYS

public static final FluidCollisionMode ALWAYS
Collide with all fluids.

## Method Details

### values

public static FluidCollisionMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FluidCollisionMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null